import { UiElement } from "./ui-element";

export class TimeInput extends UiElement {
    constructor(
        private label: string,
        private elementId: string,
        private value: any,
        private containerId: string,
        private disabled: string,
        private hidden: string,
        private required: string) {
        super(elementId, containerId, '');
        this.createElement(this.getTemplate());

    }

    formatDate() {
        let date = new Date();
        this.value = date.getHours() + ':' + date.getMinutes() + ':' + date.getSeconds();
    }


    public getTemplate() {
        let requiredClass: string = "";
        let disaledClass = "";
        if (this.required == 'Y')
            requiredClass = "requiredClass"
        if (this.disabled == "N") { this.disabled = "disabled"; disaledClass = "disabled" } else { this.disabled = ""; disaledClass = "" }
        if (this.hidden == "N") { this.hidden = "display:none;" } else { this.hidden = "" }
        if (this.value == "currentTime") {
            this.formatDate();
        }
        const template =
        "<div class='custom-text-area-element dynamicField' style='"+this.hidden+"'>" +
        " <label class='daynamicForm-Label "+requiredClass+"'  id='title' >" + this.label + "</label>" +
        // " <input class='daynamicForm-DateTime' type='time' id='" + this.elementId + "' value='" + this.value + "' "+this.disabled+" />"+
        " <div class='daynamicForm-DateTime "+disaledClass+"'  id='" + this.elementId + "' data-dtvalue='" + this.value + "' "+this.disabled+">"+this.value+"</div>"+
        "</div> ";
            
            // "<ion-item>" +
            // " <ion-label style='font-size: medium !important;' id='title' >" + this.label + "</ion-label>" +
            // // " <div class='daynamicForm-DateTime " + disaledClass + "'  id='" + this.elementId + "' data-dtvalue='" + this.value + "' " + this.disabled + ">" + this.value + "</div>" +
            // "<ion-datetime displayFormat='hh:mm' value='" + this.value + "' id='" + this.elementId + "' " + this.disabled + "></ion-datetime>" +
            // // " <input class='daynamicForm-DateTime' type='text' id='" + this.elementId + "' value='" + this.value + "' "+this.disabled+" (click)='showDateTimePicker()'/>"+
            // // " <input class='daynamicForm-DateTime' type='date' id='" + this.elementId + "' value='" + dateValue+ "' "+this.disabled+" />"+
            // // " <input class='daynamicForm-DateTime' type='time' id='" + this.elementId + "Time' value='" + timeValue + "' "+this.disabled+" />"+
            // "</ion-item>"
        return template;
    }

}